claw::net::basic_isocket_stream< CharT, Traits > Class Template Reference

A class to use any socket as a classic standard input stream. More...

`#include <isocket_stream.hpp>`

Inheritance diagram for claw::net::basic_isocket_stream< CharT, Traits >:

## Public Types

typedef CharT | char_type
| The type of the characters in the stream.
typedef Traits | traits_type
| The traits carry some informations about the char_type.
typedef traits_type::int_type | int_type
| The type used to represent integers.
typedef traits_type::pos_type | pos_type
| The type used to represent a position in the stream.
typedef traits_type::off_type | off_type
| The type used to represent a delta in the positions.
typedef basic_socketbuf< char_type, traits_type > | buffer_type
| The type of the buffer manipulated by this stream.

## Public Member Functions

| basic_isocket_stream (const std::string &address, int port)
buffer_type * | rdbuf () const
bool | is_open () const
void | open (const std::string &address, int port)
void | open (int fd)
void | close ()

## Detailed Description

template<typename CharT, typename Traits = std::char_traits<CharT>>
class claw::net::basic_isocket_stream< CharT, Traits >

A class to use any socket as a classic standard input stream.

Author
  Julien Jorge

Definition at line 45 of file isocket_stream.hpp.

## Member Typedef Documentation

## buffer_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef basic_socketbuf<char_type, traits_type> claw::net::basic_isocket_stream< CharT, Traits >::buffer_type

The type of the buffer manipulated by this stream.

Definition at line 64 of file isocket_stream.hpp.

## char_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef CharT claw::net::basic_isocket_stream< CharT, Traits >::char_type

The type of the characters in the stream.

Definition at line 49 of file isocket_stream.hpp.

## int_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef traits_type::int_type claw::net::basic_isocket_stream< CharT, Traits >::int_type

The type used to represent integers.

Definition at line 55 of file isocket_stream.hpp.

## off_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef traits_type::off_type claw::net::basic_isocket_stream< CharT, Traits >::off_type

The type used to represent a delta in the positions.

Definition at line 61 of file isocket_stream.hpp.

## pos_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef traits_type::pos_type claw::net::basic_isocket_stream< CharT, Traits >::pos_type

The type used to represent a position in the stream.

Definition at line 58 of file isocket_stream.hpp.

## traits_type

template<typename CharT, typename Traits = std::char_traits<CharT>>

typedef Traits claw::net::basic_isocket_stream< CharT, Traits >::traits_type

The traits carry some informations about the char_type.

Definition at line 52 of file isocket_stream.hpp.

The documentation for this class was generated from the following file:

- isocket_stream.hpp